org.gnome.gtk

## Class JunctionSides

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.JunctionSides

-     public final class JunctionSides
      extends org.freedesktop.bindings.Constant

  Constants that describe how a rendered element connects to adjacent elements.
  Since:
    4.1.2
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JunctionSides` | `BOTTOM` Element connects on the bottom side.
    `static JunctionSides` | `CORNER_BOTTOMLEFT` Element connects on the bottom-left corner.
    `static JunctionSides` | `CORNER_BOTTOMRIGHT` Element connects on the bottom-right corner.
    `static JunctionSides` | `CORNER_TOPLEFT` Element connects on the top-left corner.
    `static JunctionSides` | `CORNER_TOPRIGHT` Element connects on the top-right corner.
    `static JunctionSides` | `LEFT` Element connects on the left side.
    `static JunctionSides` | `NONE` No junctions.
    `static JunctionSides` | `RIGHT` Element connects on the right side.
    `static JunctionSides` | `TOP` Element connects on the top side.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JunctionSides(int ordinal, String nickname)`

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOTTOM

          public static final JunctionSides BOTTOM

      Element connects on the bottom side.

    - #### CORNER_BOTTOMLEFT

          public static final JunctionSides CORNER_BOTTOMLEFT

      Element connects on the bottom-left corner.

    - #### CORNER_BOTTOMRIGHT

          public static final JunctionSides CORNER_BOTTOMRIGHT

      Element connects on the bottom-right corner.

    - #### CORNER_TOPLEFT

          public static final JunctionSides CORNER_TOPLEFT

      Element connects on the top-left corner.

    - #### CORNER_TOPRIGHT

          public static final JunctionSides CORNER_TOPRIGHT

      Element connects on the top-right corner.

    - #### LEFT

          public static final JunctionSides LEFT

      Element connects on the left side.

    - #### NONE

          public static final JunctionSides NONE

      No junctions.

    - #### RIGHT

          public static final JunctionSides RIGHT

      Element connects on the right side.

    - #### TOP

          public static final JunctionSides TOP

      Element connects on the top side.

  - ### Constructor Detail

    - #### JunctionSides

          public JunctionSides(int ordinal,
                       String nickname)